# OS specific compilation options:
ifeq ($(OS),Windows_NT)
	CC = c:/mingw/bin/gcc
	CFLAGS += -mconsole -mwindows
	LIBS += -lws2_32 -lwinmm
else
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S),Linux)
		CFLAGS +=
		LIBS += -lX11 -lasound -pthread
	else
		CFLAGS +=
		LIBS += -lX11 -lasound -pthread
	endif
endif